[lfs-fr] r1514 - in trunk/blfs: . general/graphlib introduction/welcome kde/add kde/core multimedia/libdriv multimedia/videoutils networking/netprogs pst/printing server/databases x/lib xsoft/graphweb xsoft/other

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Lun 26 Déc 02:34:57 PST 2011


Author: jmengual
Date: 2011-12-26 11:34:57 +0100 (Mon, 26 Dec 2011)
New Revision: 1514

Modified:
   trunk/blfs/general.ent
   trunk/blfs/general/graphlib/libtiff.xml
   trunk/blfs/introduction/welcome/changelog.xml
   trunk/blfs/kde/add/kdeadmin.xml
   trunk/blfs/kde/add/kdenetwork.xml
   trunk/blfs/kde/core/kdebase.xml
   trunk/blfs/kde/core/kdelibs.xml
   trunk/blfs/kde/core/tqtinterface.xml
   trunk/blfs/multimedia/libdriv/libvpx.xml
   trunk/blfs/multimedia/videoutils/ffmpeg.xml
   trunk/blfs/networking/netprogs/cifsutils.xml
   trunk/blfs/pst/printing/cups.xml
   trunk/blfs/server/databases/db.xml
   trunk/blfs/x/lib/gtk+3.xml
   trunk/blfs/x/lib/xulrunner.xml
   trunk/blfs/xsoft/graphweb/firefox.xml
   trunk/blfs/xsoft/graphweb/seamonkey.xml
   trunk/blfs/xsoft/other/thunderbird.xml
Log:
Traduction r9131 ?\195?\160 9145


Modified: trunk/blfs/general/graphlib/libtiff.xml
===================================================================
--- trunk/blfs/general/graphlib/libtiff.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/general/graphlib/libtiff.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -6,9 +6,9 @@
 
   <!ENTITY libtiff-download-http "http://download.osgeo.org/libtiff/tiff-&libtiff-version;.tar.gz">
   <!ENTITY libtiff-download-ftp  "ftp://ftp.remotesensing.org/libtiff/tiff-&libtiff-version;.tar.gz">
-  <!ENTITY libtiff-md5sum        "8fc7ce3b4e1d0cc8a319336967815084">
-  <!ENTITY libtiff-size          "1.4 Mio">
-  <!ENTITY libtiff-buildsize     "27 Mio">
+  <!ENTITY libtiff-md5sum        "456ad12e7c492b275a0d047f2ba89904">
+  <!ENTITY libtiff-size          "1.9 Mio">
+  <!ENTITY libtiff-buildsize     "31 Mio">
   <!ENTITY libtiff-time          "0.4 SBU">
 ]>
 

Modified: trunk/blfs/general.ent
===================================================================
--- trunk/blfs/general.ent	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/general.ent	2011-12-26 10:34:57 UTC (rev 1514)
@@ -4,7 +4,7 @@
 $Date: 2011-07-24 16:07:01 +0200 (dim 24 jui 2011) $
 -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "26">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2011">
 <!ENTITY copyrightdate "2001-&year;">
@@ -58,7 +58,7 @@
 <!ENTITY lfs-vim-version              "7.3">
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20111219">
+<!ENTITY blfs-bootscripts-version     "20111226">
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
 <!ENTITY blfs-wiki                    "http://wiki.&lfs-domainname;/blfs/wiki">
@@ -230,7 +230,7 @@
 <!-- Chapter 9 -->
 <!ENTITY libjpeg-version              "8c">
 <!ENTITY libpng-version               "1.5.5">
-<!ENTITY libtiff-version              "3.9.5">
+<!ENTITY libtiff-version              "4.0.0">
 <!ENTITY giflib-version               "4.1.6">
 <!ENTITY lcms-version                 "1.19">
 <!-- Note lcms2 is incompatible with the rest of BLFS-->
@@ -566,7 +566,7 @@
 <!ENTITY gdk-pixbuf-version           "2.24.0">
 <!ENTITY gtk2-version                 "2.24.8">
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
-<!ENTITY gtk3-version                 "3.2.2">
+<!ENTITY gtk3-version                 "3.2.3">
 <!ENTITY gtkmm-version                "2.20.3">
 <!ENTITY lesstif-version              "0.95.2">
 <!ENTITY startup-notification-version "0.9">
@@ -577,7 +577,7 @@
 <!ENTITY freeglut-version             "2.6.0">
 <!ENTITY goffice-version              "0.8.10">
 <!ENTITY mesalib-version              "7.9">
-<!ENTITY xulrunner-version            "9.0">
+<!ENTITY xulrunner-version            "9.0.1">
 <!ENTITY webkitgtk-version            "1.2.5">
 <!ENTITY libsexy-version              "0.1.11">
 <!ENTITY libnotify-version            "0.4.5">
@@ -791,8 +791,8 @@
 <!ENTITY openoffice-version           "3.2.1">
 
 <!-- Chapter 36 -->
-<!ENTITY seamonkey-version            "2.5">
-<!ENTITY firefox-version              "9.0">
+<!ENTITY seamonkey-version            "2.6.1">
+<!ENTITY firefox-version              "9.0.1">
 <!ENTITY galeon-version               "2.0.1">
 
 <!-- Obsolete
@@ -800,7 +800,7 @@
 -->
 
 <!-- Chapter 37 -->
-<!ENTITY thunderbird-version          "8.0">
+<!ENTITY thunderbird-version          "9.0.1">
 <!ENTITY pan-version                  "0.133">
 <!ENTITY balsa-version                "2.3.22">
 <!ENTITY pidgin-version               "2.10.0">

Modified: trunk/blfs/introduction/welcome/changelog.xml
===================================================================
--- trunk/blfs/introduction/welcome/changelog.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/introduction/welcome/changelog.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -41,7 +41,56 @@
     </listitem>
 
 -->
+   <listitem>
+     <para>26 décembre 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Passage à kdenetork-3.5.13. (Trinity)</para>
+        </listitem>
+        <listitem>
+          <para>[abenton] - Seamonkey 2.6.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
+      <para>25 décembre 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[abenton] - Thunderbird 9.0.1.</para>
+        </listitem>
+       <listitem>
+          <para>[abenton] - Seamonkey 2.6.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>23 décembre 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Bdubbs] - Passage à kdeadmin-3.5.13. (Trinity)</para>
+        </listitem>
+        <listitem>
+          <para>[abenton] - Seamonkey 2.6.</para>
+        </listitem>
+        <listitem>
+          <para>[abenton] - gtk+-3.2.3.</para>
+       </listitem>
+       <listitem>
+          <para>[abenton] - firefox-9.0.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    <listitem>
+      <para>22 décembre 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[abenton] - Tiff 4.0.0.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    <listitem>
       <para>20 décembre 2011</para>
       <itemizedlist>
         <listitem>

Modified: trunk/blfs/kde/add/kdeadmin.xml
===================================================================
--- trunk/blfs/kde/add/kdeadmin.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/kde/add/kdeadmin.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -3,12 +3,12 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-  <!ENTITY kdeadmin-download-http "&kde-download-http;/kdeadmin-&kde-version;.tar.bz2">
-  <!ENTITY kdeadmin-download-ftp  "&kde-download-ftp;/kdeadmin-&kde-version;.tar.bz2">
-  <!ENTITY kdeadmin-md5sum        "eb23c52c945f31a48f2c9df4330a1262">
-  <!ENTITY kdeadmin-size          "2.0 Mio">
-  <!ENTITY kdeadmin-buildsize     "26 Mio">
-  <!ENTITY kdeadmin-time          "1.6 SBU">
+  <!ENTITY kdeadmin-download-http "&trinity-repo-http;/kdeadmin-&trinity-version;.tar.gz">
+  <!ENTITY kdeadmin-download-ftp  "&trinity-repo-ftp;/kdeadmin-&trinity-version;.tar.gz">
+  <!ENTITY kdeadmin-md5sum        "b8bbabf353070a3e730464e0ce2960e2">
+  <!ENTITY kdeadmin-size          "1.9 Mio">
+  <!ENTITY kdeadmin-buildsize     "132 Mio">
+  <!ENTITY kdeadmin-time          "1.4 SBU">
 ]>
 
 <sect1 id="kdeadmin">
@@ -19,7 +19,7 @@
     <date>$Date: 2009-01-07 08:33:33 +0100 (mer 07 jan 2009) $</date>
   </sect1info>
 
-  <title>Kdeadmin-&kde-version;</title>
+  <title>Kdeadmin-&trinity-version;</title>
 
   <indexterm zone="kdeadmin">
     <primary sortas="a-kdeadmin">Kdeadmin</primary>
@@ -58,16 +58,23 @@
     <bridgehead renderas="sect3">Dépendances de Kdeadmin</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="kdebase"/></para>
+    <para role="required">
+      <xref linkend="kdebase"/>
+    </para>
 
     <bridgehead renderas="sect4">Recommandées</bridgehead>
-    <para role="recommended"><xref linkend="libjpeg"/> et
-    <xref linkend="libxml2"/></para>
+    <para role="recommended">
+      <xref linkend="libjpeg"/> et
+      <xref linkend="libxml2"/>
+    </para>
 
     <bridgehead renderas="sect4">Facultatives</bridgehead>
-    <para role="optional"><xref linkend="linux-pam"/> et
-    <ulink url="http://lilo.go.dyndns.org/">LILO</ulink></para>
+    <para role="optional">
+      <xref linkend="linux-pam"/> et
+      <ulink url="http://lilo.go.dyndns.org/">LILO</ulink>
+    </para>
 
+
     <para condition="html" role="usernotes">Notes utilisateur :
     <ulink url="&blfs-wiki;/kdeadmin"/></para>
 
@@ -88,8 +95,18 @@
 
     <para>Installez <application>kdeadmin</application> avec :</para>
 
-<screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
-    --disable-dependency-tracking &&
+<screen><userinput> 
+cp -v /usr/share/aclocal/libtool.m4       admin/libtool.m4.in &&
+cp -v /usr/share/libtool/config/ltmain.sh admin/ltmain.sh     &&
+sed -i -e "s@/usr/include/tqt@$TRINITY_PREFIX/include/tqt@" admin/acinclude.m4.in &&
+make -f admin/Makefile.common                                 &&
+
+./configure --prefix=$TRINITY_PREFIX \
+            --enable-closure         \
+            --sysconfdir=/etc        \
+            --localstatedir=/var     \
+            --with-extra-libs=$TRINITY_PREFIX/lib &&
+
 make</userinput></screen>
 
    <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
@@ -100,6 +117,26 @@
 
   </sect2>
 
+  <sect2 role="commands">
+    <title>Explication des commandes</title>
+
+    <para><command>cp -v /usr/share/... admin/...</command> : 
+    Garantit que les fichiers .m4 soient cohérents avec la version
+    actuelle d'autotools version.</para>
+
+    <para><command>sed ... admin/acinclude.m4.in</command> : Met à jour
+    les chemins pour les bibliothèques Trinity.</para>
+
+    <para><command>make -f admin/Makefile.common</command> : Crée le
+    script configure.</para>
+
+    <para><parameter>--with-extra-libs=$TRINITY_PREFIX/lib</parameter> : 
+    Cette option garantit que les bibliothèques Trinity soient cherchées dans
+    les <filename>Makefile</filename>s.</para>
+
+  </sect2>
+
+
   <sect2 role="content">
     <title>Contenu</title>
 
@@ -109,9 +146,9 @@
       <segtitle>Répertoires installés</segtitle>
 
       <seglistitem>
-        <seg>kcron, kdat, kpackage, ksysv, et kuser</seg>
-        <seg>Aucune</seg>
-        <seg>Aucun</seg>
+        <seg>kcron, kdat, kpackage, ksysv, kuser et secpolicy</seg>
+        <seg>kcm_knetworkconfmodule.so, kfile_deb.so, and kfile_rpm.so</seg>
+        <seg>$TRINITY_PREFIX/lib/trinity</seg>
       </seglistitem>
     </segmentedlist>
 

Modified: trunk/blfs/kde/add/kdenetwork.xml
===================================================================
--- trunk/blfs/kde/add/kdenetwork.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/kde/add/kdenetwork.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -3,15 +3,15 @@
    "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-  <!ENTITY kdenetwork-download-http "&kde-download-http;/kdenetwork-&kde-version;.tar.bz2">
-  <!ENTITY kdenetwork-download-ftp  "&kde-download-ftp;/kdenetwork-&kde-version;.tar.bz2">
+  <!ENTITY kdenetwork-download-http "&trinity-repo-http;/kdenetwork-&trinity-version;.tar.gz">
+  <!ENTITY kdenetwork-download-ftp  "&trinity-repo-ftp;/kdenetwork-&trinity-version;.tar.gz">
   <!ENTITY kdenetwork-md5sum        "0ec1d4ccd550510821a622eb91b893e8">
-  <!ENTITY kdenetwork-size          "8.9 Mio">
-  <!ENTITY kdenetwork-buildsize     "155 Mio (additional 24 Mio for API docs)">
-  <!ENTITY kdenetwork-time          "13.5 SBU (plus 0.1 SBU pour les docs de l'API)">
+  <!ENTITY kdenetwork-size          "8.6 Mio">
+  <!ENTITY kdenetwork-buildsize     "98 Mio (additional 24 Mio for API docs)">
+  <!ENTITY kdenetwork-time          "5.1 SBU">
 ]>
 
-<sect1 id="kdenetwork" xreflabel="kdenetwork-&kde-version;">
+<sect1 id="kdenetwork" xreflabel="kdenetwork-&trinity-version;">
   <?dbhtml filename="kdenetwork.html"?>
 
   <sect1info>
@@ -19,7 +19,7 @@
     <date>$Date: 2010-04-21 20:48:34 +0200 (mer 21 avr 2010) $</date>
   </sect1info>
 
-  <title>Kdenetwork-&kde-version;</title>
+  <title>Kdenetwork-&trinity-version;</title>
 
   <indexterm zone="kdenetwork">
     <primary sortas="a-kdenetwork">Kdenetwork</primary>
@@ -55,30 +55,42 @@
       </listitem>
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Téléchargements supplémentaires</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+        <para>Correctif requis : <ulink
+        url="&patch-root;/kdenetwork-&trinity-version;-upstream_fixs-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">Dépendances de Kdenetwork</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="kdebase"/></para>
+    <para role="required">
+      <xref linkend="kdebase"/>
+    </para>
 
     <bridgehead renderas="sect4">Recommandées</bridgehead>
-    <para role="recommended"><xref linkend="libjpeg"/>,
-    <xref linkend="libxml2"/>,
-    <xref linkend="libxslt"/> et
-    <xref linkend="openssl"/></para>
+    <para role="recommended">
+      <xref linkend="libjpeg"/>,
+      <xref linkend="libxml2"/>,
+      <xref linkend="libxslt"/>, 
+      <xref linkend="openssl"/>, and
+      <xref linkend="speex"/>
+    </para>
 
     <bridgehead renderas="sect4">Facultatives</bridgehead>
-    <para role="optional"><xref linkend="ppp"/>,
-    <!-- <xref linkend="xmms"/>, -->
-    <xref linkend="graphviz"/>,
-    <xref linkend="doxygen"/>,
-    <xref linkend="wireless_tools"/>,
-    <xref linkend="speex"/>,
-    <xref linkend="alsa"/>,
-    <ulink url="http://www.pxh.de/fs/gsmlib/index.html">gsmlib</ulink>,
-    <ulink url="http://meanwhile.sourceforge.net">Meanwhile</ulink>,
-    <ulink url="http://www.openslp.org/">OpenSLP</ulink>,
-    <ulink url="http://dev.null.pl/ekg/">libgadu</ulink> et
-    <ulink url="http://valgrind.org/">Valgrind</ulink></para>
+    <para role="optional">
+      <xref linkend="doxygen"/>,
+      <xref linkend="graphviz"/>,
+      <xref linkend="ppp"/>,
+      <xref linkend="wireless_tools"/>,
+      <ulink url="http://linuxtv.org/downloads/v4l-utils/">v4l-utils (Video 4 Linux)</ulink>,
+      <ulink url="http://linux.softpedia.com/progDownload/gsmlib-Download-15052.html">gsmlib</ulink>,
+      <ulink url="http://meanwhile.sourceforge.net">Meanwhile</ulink>,
+      <ulink url="http://www.openslp.org/">OpenSLP</ulink>, and
+      <ulink url="http://toxygen.net/libgadu/">libgadu (Polish)</ulink>,
+    </para>
 
     <para condition="html" role="usernotes">Notes utilisateur :
     <ulink url="&blfs-wiki;/kdenetwork"/></para>
@@ -88,10 +100,39 @@
   <sect2 role="installation">
     <title>Installation de Kdenetwork</title>
 
+    <note><para>Les procédures d'installation  suivantes supposent que les
+    dépendances recommandées ainsi que v4l-utils et wireless_tools sont
+    installées.  Lisez CMakeLists.txt pour trouver d'autres options.</para>
+
+    <para>v4l-utils doit être installé pour construire tout plugin
+    kopete (messagerie instantanée).</para>
+    </note>
+
     <para>Installez <application>kdenetwork</application> avec :</para>
 
-<screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
-    --disable-dependency-tracking &&
+<screen><userinput>patch -Np1 -i ../kdenetwork&trinity-version;-upstream_fixes-1.patch &&
+
+MAKEDIR=/tmp/buildkdenet &&
+KDENET=`pwd`             &&
+rm -rf   $MAKEDIR        &&
+mkdir -p $MAKEDIR        &&
+cd       $MAKEDIR        &&
+
+cmake -DCMAKE_INSTALL_PREFIX=$TRINITY_PREFIX    \
+      -DCMAKE_VERBOSE_MAKEFILE=ON               \
+      -DWITH_JINGLE=ON                          \
+      -DWITH_SPEEX=ON                           \
+      -DWITH_WEBCAM=ON                          \
+      -DWITH_GSM=OFF                            \
+      -DWITH_ARTS=ON                            \
+      -DBUILD_KOPETE_PROTOCOL_ALL=ON            \
+      -DBUILD_KOPETE_PROTOCOL_GADU=OFF          \
+      -DBUILD_KOPETE_PROTOCOL_MEANWHILE=OFF     \
+      -DBUILD_KOPETE_PLUGIN_ALL=ON              \
+      -DBUILD_ALL=ON                            \
+      $KDENET            &&
+
+unset MAKEDIR KDENET     &&
 make</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -162,10 +203,15 @@
       <segtitle>Répertoires installés</segtitle>
 
       <seglistitem>
-        <seg>kdict, kget, knewsticker, kopete, kpf, kppp, krdc, krfb, ksirc,
-        ktalkd, kwifimanager, et lisa</seg>
-        <seg>Aucune</seg>
-        <seg>Aucun</seg>
+        <seg>dsirc, feedbrowser, kdict, kget, knewstickerstub, kopete, kppp,
+        krdc, krfb, ksirc, ktalkd, kwifimanager, lisa, rssclient, rssservice,
+        stunserver, et des scripts de support supplémentaires</seg>
+        
+        <seg>libkdeinit_kdict.so, libkdeinit_ksirc.so, libkopete.so,
+        libkopete_msn_shared.so, libkopete_oscar.so, libkopete_videodevice.so,
+        librss.so</seg>
+
+        <seg>$TRINITY_PREFIX/include/{kopete,rss}, $TRINITY_PREFIX/lib/trinity</seg>
       </seglistitem>
     </segmentedlist>
 

Modified: trunk/blfs/kde/core/kdebase.xml
===================================================================
--- trunk/blfs/kde/core/kdebase.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/kde/core/kdebase.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -4,15 +4,15 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY kdebase-download-http "&trinity-repo-http;/kdebase-&kde-version;.tar.gz">
-  <!ENTITY kdebase-download-ftp  "&trinity-repo-ftp;/kdebase-&kde-version;.tar.gz">
+  <!ENTITY kdebase-download-http "&trinity-repo-http;/kdebase-&trinity-version;.tar.gz">
+  <!ENTITY kdebase-download-ftp  "&trinity-repo-ftp;/kdebase-&trinity-version;.tar.gz">
   <!ENTITY kdebase-md5sum        "d1f7e1f94eeb46b981fe1ba144179840">
   <!ENTITY kdebase-size          "28.3 MB">
   <!ENTITY kdebase-buildsize     "179 MB">
   <!ENTITY kdebase-time          "6.6 SBU">
 ]>
 
-<sect1 id="kdebase" xreflabel="kdebase-&kde-version;">
+<sect1 id="kdebase" xreflabel="kdebase-&trinity-version;">
   <?dbhtml filename="kdebase.html"?>
 
   <sect1info>
@@ -20,7 +20,7 @@
     <date>$Date: 2010-09-08 08:26:20 +0200 (mer 08 sep 2010) $</date>
   </sect1info>
 
-  <title>Kdebase-&kde-version;</title>
+  <title>Kdebase-&trinity-version;</title>
 
   <indexterm zone="kdebase">
     <primary sortas="a-kdebase">Kdebase</primary>

Modified: trunk/blfs/kde/core/kdelibs.xml
===================================================================
--- trunk/blfs/kde/core/kdelibs.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/kde/core/kdelibs.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -12,7 +12,7 @@
   <!ENTITY kdelibs-time          "5.5 SBU">
 ]>
 
-<sect1 id="kdelibs" xreflabel="kdelibs-&kde-version;">
+<sect1 id="kdelibs" xreflabel="kdelibs-&trinity-version;">
   <?dbhtml filename="kdelibs.html"?>
 
   <sect1info>
@@ -20,7 +20,7 @@
     <date>$Date: 2010-11-15 17:43:18 +0100 (lun 15 nov 2010) $</date>
   </sect1info>
 
-  <title>Kdelibs-&kde-version;</title>
+  <title>Kdelibs-&trinity-version;</title>
 
   <indexterm zone="kdelibs">
     <primary sortas="a-kdelibs">Kdelibs</primary>
@@ -56,15 +56,7 @@
         <para>Estimation du temps de construction : &kdelibs-time;</para>
       </listitem>
     </itemizedlist>
-<!--
-    <bridgehead renderas="sect3">Téléchargements supplémentaires</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Correctif requis : <ulink
-        url="&patch-root;/kdelibs-&kde-version;-charset-1.patch"/></para>
-      </listitem>
-    </itemizedlist>
-    -->
+
     <bridgehead renderas="sect3">Dépendances de Kdelibs</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>

Modified: trunk/blfs/kde/core/tqtinterface.xml
===================================================================
--- trunk/blfs/kde/core/tqtinterface.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/kde/core/tqtinterface.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -84,7 +84,7 @@
 mkdir -p $BUILD  &&
 cd       $BUILD  &&
 
-cmake $TGT                               \
+cmake $TQT                               \
   -DCMAKE_INSTALL_PREFIX=$TRINITY_PREFIX \
   -DCMAKE_VERBOSE_MAKEFILE=ON            \
   -DQT_VERSION=3 &&

Modified: trunk/blfs/multimedia/libdriv/libvpx.xml
===================================================================
--- trunk/blfs/multimedia/libdriv/libvpx.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/multimedia/libdriv/libvpx.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -59,7 +59,8 @@
     <bridgehead renderas="sect3">Dépendances de libvpx</bridgehead>
 
     <para role="required"><xref linkend="yasm"/> (la compilation avec
-    <xref linkend="NASM"/> est actuellement cassée)</para>
+    <xref linkend="NASM"/> est actuellement cassée) et <xref linkend="which"/>
+    (pour que <command>configure</command> puisse trouver yasm)</para>
 
     <bridgehead renderas="sect4">Facultatives</bridgehead>
     <para role="optional"><xref linkend="doxygen"/> et <xref linkend="php"/>

Modified: trunk/blfs/multimedia/videoutils/ffmpeg.xml
===================================================================
--- trunk/blfs/multimedia/videoutils/ffmpeg.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/multimedia/videoutils/ffmpeg.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -117,12 +117,14 @@
 ../configure --prefix=/usr --enable-shared --disable-static --enable-gpl &&
 make</userinput></screen>
 
- 
-    <para>Si vous déposez certains formats (quicktime, mov ou mp4) sur youtube,
-    vous avez besoin de les "aplatir" (déplacer l'index à l'avant du fichier)
-    avant de les déposer. FFmpeg contient un outil appelé <command>qt-faststart</command>
-    qui peut faire cela. Si vous avez besoin de <command>qt-faststart</command>, 
-    vous pouvez le compiler avec gcc :</para>
+    <para>Les source de <application>Ffmpeg</application> contiennent un outil qui s'apelle
+    <command>qt-faststart</command> et qui peut modifier des vidéos au format
+    QuickTime (mov ou mp4) pour que les informations d'en-tête se mettent au début
+    du fichier et non à la fin. Cela permet aux lecteurs vidéos de commencar à 
+    lire le contenu avant que tout le fichier n'ait été téléchargé. Un exemple
+    de cas utile est la péparation de vidéos avant de las déposer sur
+    Tube. Si vous avez besoin de <command>qt-faststart</command>, vous pouvez
+    le compiler avec gcc :</para>
 
 <screen><userinput>gcc ../tools/qt-faststart.c -o qt-faststart</userinput></screen>
 

Modified: trunk/blfs/networking/netprogs/cifsutils.xml
===================================================================
--- trunk/blfs/networking/netprogs/cifsutils.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/networking/netprogs/cifsutils.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -23,7 +23,7 @@
   <title>cifs-utils-&cifsutils-version;</title>
 
   <indexterm zone="cifsutils">
-    <primary sortas="a-cifsutils">Inetutils</primary>
+    <primary sortas="a-cifsutils">cifs-utils</primary>
   </indexterm>
 
   <sect2 role="package">

Modified: trunk/blfs/pst/printing/cups.xml
===================================================================
--- trunk/blfs/pst/printing/cups.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/pst/printing/cups.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -12,7 +12,8 @@
   <!ENTITY cups-time          "0.7 SBU">
 ]>
 
-<sect1 id="cups" xreflabel="CUPS-&cups-version;">
+<sect1 id="cups" xreflabel="Cups-&cups-version;">
+
   <?dbhtml filename="cups.html"?>
 
   <sect1info>
@@ -20,16 +21,16 @@
     <date>$Date: 2011-01-05 16:33:54 +0100 (mer 05 jan 2011) $</date>
   </sect1info>
 
-  <title>CUPS-&cups-version;</title>
+  <title>Cups-&cups-version;</title>
 
   <indexterm zone="cups">
-    <primary sortas="a-CUPS">CUPS</primary>
+    <primary sortas="a-Cups">Cups</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction à CUPS</title>
+    <title>Introduction à Cups</title>
 
-    <para>Le <foreignphrase>Common Unix Printing System</foreignphrase> (CUPS) 
+    <para>Le <foreignphrase>Common Unix Printing System</foreignphrase> (Cups) 
     (szstème d'impression Unix général) est un ensemble tampon d'imprimantes et
     d'outils associés. Il se base sur l'"Internet Printing
     Protocol" (protocole d'impression par Internet) et il offre des services 
@@ -59,18 +60,8 @@
       </listitem>
     </itemizedlist>
 
-<!--
-    <bridgehead renderas="sect3">Téléchargements supplémentaires</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Correctif requis : <ulink
-        url="&patch-root;/cups-&cups-version;-fix_broken_locking-1.patch"/></para>
-      </listitem>
-    </itemizedlist>
--->
+    <bridgehead renderas="sect3">Dépendances de Cups</bridgehead>
 
-    <bridgehead renderas="sect3">Dépendances de CUPS</bridgehead>
-
     <bridgehead renderas="sect4">Recommandées</bridgehead>
     <para role="recommended">
       <xref linkend="libjpeg"/>,
@@ -86,7 +77,8 @@
       <xref linkend="acl"/>,
       <xref linkend="linux-pam"/>,
       <xref linkend="openldap"/>,
-      <xref linkend="gnutls"/> ou <xref linkend="openssl"/> (looked for in that order),
+      <xref linkend="gnutls"/> or <xref linkend="openssl"/> (recherché dans cet
+      ordre), <xref linkend="heimdal"/> ou <xref linkend="mitkrb"/>,
       <xref linkend="heimdal"/> ou <xref linkend="mitkrb"/>,
       <xref linkend="php"/>,
       <xref linkend="gs"/>,
@@ -94,7 +86,8 @@
       <xref linkend="icedtea6"/> ou <xref linkend="jdk"/>,
       <ulink url="http://portland.freedesktop.org/wiki/">Xdg-utils</ulink>,
       <ulink url="http://www.openslp.org/">OpenSLP</ulink>,
-      <ulink url="http://packages.debian.org/unstable/source/libpaper">libpaper</ulink>,
+      <ulink
+      url="http://packages.debian.org/unstable/source/libpaper">libpaper</ulink>,
       <ulink url="http://www.easysw.com/htmldoc/">HTMLDOC</ulink>, and
       <ulink url="http://valgrind.org/">Valgrind</ulink> (utilisé éventuellement
       si vous lancez les suites de tests)
@@ -105,41 +98,63 @@
 
   </sect2>
 
+  <sect2 role="kernel" id="cups-kernel">
+    <title>Configuration du noyau</title>
+
+    <para>Si vous avez une imprimante sur port parallèle, activez les options 
+    suivantes dans la configuration de votre noyau et recompilez le noyau :</para>
+
+<screen><literal>Device Drivers  --->
+  [*] Parallel port support  --->
+    [*]   PC-style hardware
+...
+  Character devices  --->
+    [*] Parallel printer support</literal></screen>
+
+    <note><para>Si vous avez une imprimante en port USB, il y a un conflit entre
+    le fond <application>libusb</application> de 
+    <application>Cups</application> et le pilote du noyau. Si vous voulez
+    utiliser <application>Cups</application> avec le support
+    <application>libusb</application>, <emphasis>n'activez pas</emphasis> USB 
+    Printer support dans votre noyau et supprimez <option>--disable-libusb</option> 
+    quand vous configurerez <application>Cups</application>.</para></note>
+
+    <para>Si vous voulez utiliser le pilote usblp du noyau, activez les options
+    suivantes dans la configuration de votre noyau et recompilez le noyau :</para>
+
+<screen>Device Drivers  --->
+  [*] USB support  --->
+...
+Enable support for either UHCI or OHCI, not both:
+    [*]   OHCI HCD support
+    [*]   UHCI HCD (most Intel and VIA) support
+...
+    [*]   USB Printer support</screen>
+
+    <indexterm zone="cups cups-kernel">
+      <primary sortas="d-cups">cups</primary>
+    </indexterm>
+
+  </sect2>
+
   <sect2 role="installation">
-    <title>Installation de CUPS</title>
+    <title>Installation de Cups</title>
 
     <para>Créez un utilisateur <systemitem class="username">lp</systemitem> car
-    <application>CUPS</application> va créer des fichiers appartenant à cet
+    <application>Cups</application> va créer des fichiers appartenant à cet
      utilisateur (l'utilisateur <systemitem class="username">lp</systemitem>
-     est celui utilisé par défaut par <application>CUPS</application>, mais il
+     est celui utilisé par défaut par <application>Cups</application>, mais il
      peut être modifié pour un utilisateur différent en passant un paramètre au
      script <command>configure</command>.) Utilisez la commande suivante
      en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 
 <screen role="root"><userinput>useradd -c "Print Service User" -d /dev/null -g lp -s /bin/false -u 9 lp</userinput></screen>
 
-    <note>
-      <para>Si vous prevoyez d'utiliser une imprimante USB avec
-      <application>CUPS</application>, n'activez par le driver
-      <quote>usblp</quote> intégré ou comme un module dans la configuration
-      du noyau car cela causera un échec dans le nouvel <application>CUPS</application> 
-	  USB backend.
-      <filename>/var/log/sys.log</filename> aura un contenu similaire à:</para>
-
-      <screen>kernel: [54631.796465] usb 4-1: usbfs: interface 0 claimed by usblp while 'usb' 
-sets config #1</screen>
-
-      <para>L'option de configuration du noyau est
-      <parameter>CONFIG_USB_PRINTER</parameter>
-      et peut être trouvé dans menuconfig sous
-      <quote>Device Drivers ---> USB support --->
-      USB Printer support</quote>.</para>
-    </note>
-
-    <para>Installez <application>CUPS</application> en lançant les commandes
+    <para>Installez <application>Cups</application> en lançant les commandes
     suivantes :</para>
 
-<screen><userinput>./configure --prefix=/usr &&
+<screen><userinput>sed -i 's#@CUPS_HTMLVIEW@#firefox#' desktop/cups.desktop.in &&
+./configure --localstatedir=/var --disable-libusb --with-rcdir=/tmp &&
 make</userinput></screen>
 
     <para>Pour tester les résultats, lancez : <command>make check</command>.
@@ -174,61 +189,53 @@
   <sect2 role="commands">
     <title>Explication des commandes</title>
 
-    <para>Le comportement par défaut de base de l'installation est adapté
-    aux systèmes LFS. Les fichiers <application>CUPS</application> sont
-    mis dans 
-	<filename class="directory">/usr/{bin,include,lib,sbin,share/cups}</filename>,
-    <filename class="directory">/var/{cache,log,run,spool}</filename>, et
-    <filename class="directory">/etc/{cups,pam.d,dbus-1/system.d}</filename></para>
+    <para><command>sed -i 's#@CUPS_HTMLVIEW@#firefox#' ...</command> : Ceci
+    modifie le navigateur utilisé par fichier de bureau 
+    <application>Cups</application> pour son interface web.</para>
+
+    <para><option>--localstatedir=/var</option> : Ceci modifie l'emplacement
+    des répertoires cache, log, run et spool de /usr/var en /var.</para>
+
+    <para><option>--disable-libusb</option> : Ceci désactive le fond
+    <application>libusb</application> de
+    <application>Cups</application>. Si vous souhaitez que <application>Cups</application> 
+    utilise <application>libusb</application>, enlevez cette option et
+    assurez-vous de compiler votre noyau avec : # CONFIG_USB_PRINTER is not set</para>
+
+    <para><option>--with-rcdir=/tmp</option> : Cette option lui fait
+    installer ses scripts de démarrage dans <filename class="directory">/tmp</filename>
+    au lieu de <filename class="directory">/etc/rc.d</filename>.</para>
+
   </sect2>
 
   <sect2 role="configuration">
-    <title>Configuration de CUPS</title>
+    <title>Configuration de Cups</title>
 
-    <para>La configuration de <application>CUPS</application> dépend du
+    <para>La configuration de <application>Cups</application> dépend du
     type d'imprimante et elle peut être complexe. En général, les imprimantes
     PostScript sont plus simples. Pour des instructions détaillées sur la 
-    configuration et l'utilisation de <application>CUPS</application>, voir
+    configuration et l'utilisation de <application>Cups</application>, voir
     <ulink url="http://www.cups.org/documentation.php"/>. Le
     <foreignphrase>Software Administrators Manual</foreignphrase> (manuel ges 
     administrateurs du logiciel) et le <foreignphrase>Software Users Manual</foreignphrase>
     (manuel des utilisateurs) sont particulièrement utiles.</para>
 
     <para>Pour que des imprimantes non PostScript impriment avec
-    <application>CUPS</application>, vous devez installer 
+    <application>Cups</application>, vous devez installer 
     <xref linkend="gs"/> pour convertir PostScript en images raster
-    et un pilote (comme ceux de from <xref linkend="gutenprint"/>) pour convertir
+    et un pilote (comme ceux de <xref linkend="gutenprint"/>) pour convertir
     les images raster résultantes sous une forme compréhensible par l'imprimante.
     Les pilotes de <ulink url="http://www.linuxprinting.org/foomatic.html">Foomatic</ulink>
     utilisent Ghostscript pour convertir du PostScript en forme directement
-    imprimable, mais les développeurs de <application>CUPS</application> 
+    imprimable, mais les développeurs de <application>Cups</application> 
     considèrent cela comme du bricolage.</para>
 
-<!-- Cela devrait être évident, pour ne pas mentionner le nouveau problème avec  usblp.
-      A omettre complètement pour l'instant.
-	
-    <sect3 role="kernel" id="cups-kernel">
-      <title>Configuration du noyau</title>
-
-      <para>Pour utiliser votre imprimante, vous devrez probablement besoin
-      d'activer des pilotes adéquats dans le noyau — par exemple, 
-      <quote>Parallel printer support</quote> si vous avez une imprimante en 
-      port parallèle ou <quote>USB Printer support</quote> pour une imprimante
-      USB.</para>
-
-    </sect3>
--->
-
     <sect3 id="cups-init">
       <title>Script de démarrage</title>
 
-      <para>Pendant l'installation, <application>CUPS</application> a ajouté des
-      fichiers de démarrage dans <filename class="directory">/etc/rc.d</filename>.
-      Ces scripts fonctionneront dans la plupart des cas, mais ils échoueront si
-      vous fournissez des imprimantes aux clients <application>Samba</application>. 
-      En outre, ils ne sont pas cohérents avec les scripts du type LSB standard.
-      Remplacez les scripts installés par les scripts et les liens symboliques 
-      inclus dans le paquet <xref linkend="bootscripts"/> :</para>
+      <para>Si vous voulez que <application>Cups</application> démarre
+      automatiquement lors du démarrage du système, installez le script 
+      de démarrage inclu dans le paquet <xref linkend="bootscripts"/> :</para>
 
       <indexterm zone="cups cups-init">
         <primary sortas="f-cups">cups</primary>
@@ -252,12 +259,14 @@
          <seg>accept, cancel, cups-config, cupsaccept, cupsaddsmb, cupsctl,
         cupsd, cupsdisable, cupsenable, cupsfilter, cupsreject, cupstestdsc,
         cupstestppd, lp, lpadmin, lpc, lpinfo, lpmove, lpoptions, lppasswd,
-        lpq, lpr, lprm, lpstat, ppdc, ppdhtml, ppdi, ppdmerge, ppdpo, reject</seg>
-        <seg>libcups.{so,a}, libcupscgi.{so,a}, libcupsdriver.{so,a},
-        libcupsimage.{so,a}, libcupsmime.{so,a}, libcupsppdc.{so,a}, et
+        lpq, lpr, lprm, lpstat, ppdc, ppdhtml, ppdi, ppdmerge, ppdpo,
+        reject</seg>
+        <seg>libcups.so, libcupscgi.so, libcupsdriver.so,
+        libcupsimage.so, libcupsmime.so, libcupsppdc.so, and
         various filters et backend drivers</seg>
-        <seg>/etc/cups, /usr/{include,lib,share}/cups, /usr/share/doc/cups-&cups-version;, and
-        /var/{cache,log,run,spool}/cups</seg>
+        <seg>/etc/cups, /usr/include/cups, /usr/lib/cups, /usr/share/cups,
+        /usr/share/doc/cups-&cups-version;, /var/cache/cups, /var/log/cups,
+        /var/run/cups and /var/spool/cups.</seg>
       </seglistitem>
     </segmentedlist>
 
@@ -291,7 +300,7 @@
       <varlistentry id="cups-config">
         <term><command>cups-config</command></term>
         <listitem>
-          <para>est un outil de configuration <application>CUPS</application>.</para>
+          <para>est un outil de configuration <application>Cups</application>.</para>
           <indexterm zone="cups cups-config">
             <primary sortas="b-cups-config">cups-config</primary>
           </indexterm>
@@ -365,7 +374,7 @@
         <term><command>lpadmin</command></term>
         <listitem>
           <para>configure les queues d'une imprimante ou d'une classe fournies par
-          <application>CUPS</application>.</para>
+          <application>Cups</application>.</para>
           <indexterm zone="cups lpadmin">
             <primary sortas="b-lpadmin">lpadmin</primary>
           </indexterm>
@@ -376,7 +385,7 @@
         <term><command>lpc</command></term>
         <listitem>
           <para>offre un contrôle limité des queues d'imprimante ou de
-          classe fournies par <application>CUPS</application>.</para>
+          classe fournies par <application>Cups</application>.</para>
           <indexterm zone="cups lpc-cups">
             <primary sortas="b-lpc">lpc</primary>
           </indexterm>
@@ -387,7 +396,7 @@
         <term><command>lpinfo</command></term>
         <listitem>
           <para>liste les périphériques ou les pilotes disponibles connus du
-          serveur <application>CUPS</application>.</para>
+          serveur <application>Cups</application>.</para>
           <indexterm zone="cups lpinfo">
             <primary sortas="b-lpinfo">lpinfo</primary>
           </indexterm>

Modified: trunk/blfs/server/databases/db.xml
===================================================================
--- trunk/blfs/server/databases/db.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/server/databases/db.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -149,6 +149,7 @@
 <screen><userinput>cd build_unix &&
 ../dist/configure --prefix=/usr \
                   --enable-compat185 \
+                  --enable-dbm  \
                   --enable-cxx &&
 make</userinput></screen>
 

Modified: trunk/blfs/x/lib/gtk+3.xml
===================================================================
--- trunk/blfs/x/lib/gtk+3.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/x/lib/gtk+3.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -6,17 +6,17 @@
 
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/3.2/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/3.2/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "447e4f452eff459b81c1591a0adfd791">
+  <!ENTITY gtk3-md5sum        "b4edcc69e39159dd7be17828249afb46">
   <!ENTITY gtk3-size          "12 Mio">
-  <!ENTITY gtk3-buildsize     "308 Mio">
-  <!ENTITY gtk3-time          "2.6 SBU">
+  <!ENTITY gtk3-buildsize     "314 Mio">
+  <!ENTITY gtk3-time          "2.8 SBU">
 ]>
 
 <sect1 id="gtk3" xreflabel="gtk+-&gtk3-version;">
   <?dbhtml filename="gtk3.html"?>
 
   <sect1info>
-    <othername>$LastChangedBy> : randy $</othername>
+    <othername>$LastChangedBy: nobody $</othername>
     <date>$Date> : 2007-04-04 20:42:53 +0100 (Wed, 04 Apr 2007) $</date>
   </sect1info>
 

Modified: trunk/blfs/x/lib/xulrunner.xml
===================================================================
--- trunk/blfs/x/lib/xulrunner.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/x/lib/xulrunner.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -4,13 +4,10 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!--
    <!ENTITY xulrunner-download-http "http://releases.mozilla.org/pub/mozilla.org/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2">
-  -->
-  <!ENTITY xulrunner-download-http " ">
   <!ENTITY xulrunner-download-ftp  "ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2">
   <!-- md5sum et size should match firefox, but the buildsize and time will differ -->
-  <!ENTITY xulrunner-md5sum        "d8d0c8c79660752b02d9e9ab69a68f94">
+  <!ENTITY xulrunner-md5sum        "7cf2bd379792a9b232267c6a79680566">
   <!ENTITY xulrunner-size          "70.8 MB">
   <!ENTITY xulrunner-buildsize     "2.6 GB (440 MB installé)">
   <!ENTITY xulrunner-time          "22 SBU">
@@ -137,7 +134,6 @@
 
 # Décommentez ceci si vous les avez installés :
 # ac_add_options --enable-system-sqlite
-# ac_add_options --enable-system-lcms
 # ac_add_options --with-system-libvpx
 # ac_add_options --enable-startup-notification
 
@@ -268,4 +264,4 @@
 
   </sect2>
 
-</sect1>
\ No newline at end of file
+</sect1>

Modified: trunk/blfs/xsoft/graphweb/firefox.xml
===================================================================
--- trunk/blfs/xsoft/graphweb/firefox.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/xsoft/graphweb/firefox.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -4,12 +4,10 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!-- hopefully just for a couple of days
    <!ENTITY firefox-download-http "http://releases.mozilla.org/pub/mozilla.org/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2">
-  -->
   <!ENTITY firefox-download-http " ">
   <!ENTITY firefox-download-ftp  "ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2">
-  <!ENTITY firefox-md5sum        "d8d0c8c79660752b02d9e9ab69a68f94">
+  <!ENTITY firefox-md5sum        "7cf2bd379792a9b232267c6a79680566">
   <!ENTITY firefox-size          "70.8 MB">
   <!ENTITY firefox-buildsize     "3 GB (33 MB installé)">
   <!ENTITY firefox-time          "24 SBU (ou 0.3 si vous construisez contre 
@@ -80,7 +78,7 @@
 
     <bridgehead renderas="sect4">Requises</bridgehead>
     <para role="required"><xref linkend="alsa-lib"/>, <xref linkend="gtk2"/>,
-    <xref linkend="libidl"/> et <xref linkend="zip"/></para>
+    <xref linkend="zip"/> et <xref linkend="unzip"/>.</para>
 
     <para>Remarque : <application>libjpeg</application> et
     <application>libpng</application> (corrigé pour le support apng) devraient
@@ -100,14 +98,13 @@
     <bridgehead renderas="sect4">Facultatives</bridgehead>
     <para role="optional"><xref linkend="dbus-glib"/>,
     <xref linkend="startup-notification"/>, <xref linkend="sqlite"/>,
-    <ulink url="http://www.webmproject.org/code/">libvpx</ulink>,
     <ulink url="http://sourceforge.net/projects/hunspell/">Hunspell</ulink>,
     <xref linkend="doxygen"/>, <xref linkend="gnome-vfs"/> et
     <xref linkend="libgnomeui"/> (pour l'intégration à gnome),
     <xref linkend="libnotify"/>, <xref linkend="nspr"/>, <xref linkend="nss"/>,
     <xref linkend="xulrunner"/> (se lier à un xulrunner installé allège
     Firefox d'environ 32 Mior, ce qui est peu par rapport à la taille de
-    xulrunner), <xref linkend="unzip"/>, <xref linkend="wireless_tools"/>,
+    xulrunner), <xref linkend="wireless_tools"/>,
     <ulink url="http://www.valgrind.org/">Valgrind</ulink> (seulement pour
     tester le code jemalloc) et <xref linkend="wget"/></para>
 
@@ -129,7 +126,7 @@
     décommenter d'autres options souhaitées. Créez le fichier en lançant la
     commande suivante :</para>
 
-<screen><?dbfo keep-together="auto"?><userinput>patch -p1 < ../firefox-9.0-libpng-1.5-1.patch &&
+<screen><?dbfo keep-together="auto"?><userinput>patch -p1 < ../firefox-&firefox-version;-libpng-1.5-1.patch &&
 cat > mozconfig << "EOF"
 # Si vous avez une machine multicoeurs, vous pouvez accélérer la
 # construction en lançant plusieurs tâches en même temps, mais si vous n'avez qu'un
@@ -158,7 +155,6 @@
 
 # Décommentez ceci si vous les avez installé :
 # ac_add_options --enable-system-sqlite
-# ac_add_options --enable-system-lcms
 # ac_add_options --with-system-libvpx
 # ac_add_options --enable-startup-notification
 
@@ -319,4 +315,4 @@
 
   </sect2>
 
-</sect1>
\ No newline at end of file
+</sect1>

Modified: trunk/blfs/xsoft/graphweb/seamonkey.xml
===================================================================
--- trunk/blfs/xsoft/graphweb/seamonkey.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/xsoft/graphweb/seamonkey.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -6,10 +6,10 @@
 
   <!ENTITY seamonkey-download-http      "http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/&seamonkey-version;/source/seamonkey-&seamonkey-version;.source.tar.bz2">
   <!ENTITY seamonkey-download-ftp       "ftp://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/&seamonkey-version;/source//seamonkey-&seamonkey-version;.source.tar.bz2">
-  <!ENTITY seamonkey-md5sum             "f0f0dd652ad5ee9458d86aeb626615bd">
-  <!ENTITY seamonkey-size               "57.5 Mio">
-  <!ENTITY seamonkey-buildsize          "3 Gio (46 Mio installés)">
-  <!ENTITY seamonkey-time               "23.7 SBU">
+  <!ENTITY seamonkey-md5sum             "69a43877107f97cfc7504829405ba319">
+  <!ENTITY seamonkey-size               "92.3 Mio">
+  <!ENTITY seamonkey-buildsize          "3 Gio (47 Mio installés)">
+  <!ENTITY seamonkey-time               "26.6 SBU">
 ]>
 
 <sect1 id="seamonkey" xreflabel="SeaMonkey-&seamonkey-version;">
@@ -44,7 +44,8 @@
     et <ulink url="http://www.mozilla.com/thunderbird/">Mozilla
     Thunderbird</ulink>, (un client de messagerie/nouvelles/groupe autonome basé
     sur a le code source de
-    <application>Mozilla</application>).</para>
+    <application>Mozilla</application>). <application>Thunderbird</application> 
+    sera construit à partir de l'archive tar des sources!--></para>
 
     &lfs70_checked;
 
@@ -73,8 +74,8 @@
     <bridgehead renderas="sect3">Dépendances de SeaMonkey</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="alsa-lib"/>, <xref linkend="gtk2"/>,
-    <xref linkend="libidl"/>, and <xref linkend="zip"/></para>
+    <para role="required"><xref linkend="alsa-lib"/>, <xref linkend="gtk2"/>
+    <xref linkend="zip"/> and <xref linkend="unzip"/></para>
 
     <note>
       <para>Vous devriez avoir installé <application>libjpeg</application> et
@@ -94,12 +95,11 @@
     <bridgehead renderas="sect4">Facultatives</bridgehead>
     <para role="optional"><xref linkend="dbus-glib"/>,
     <xref linkend="startup-notification"/>, <xref linkend="sqlite"/>,
-    <ulink url="http://www.webmproject.org/code/">libvpx</ulink>,
     <ulink url="http://sourceforge.net/projects/hunspell/">Hunspell</ulink>,
     <xref linkend="doxygen"/>, <xref linkend="gnome-vfs"/> et
     <xref linkend="libgnomeui"/> (pour l'intégration dans gnome),
     <xref linkend="libnotify"/>, <xref linkend="nspr"/>, <xref linkend="nss"/>,
-    <xref linkend="unzip"/>, <xref linkend="wireless_tools"/>,
+    <xref linkend="wireless_tools"/>,
     <ulink url="http://www.valgrind.org/">Valgrind</ulink> (seulement pour
     tester le code jemalloc) et <xref linkend="wget"/></para>
 
@@ -139,19 +139,17 @@
 # Si vous avez installé libnotify effacez cette option :
 ac_add_options --disable-libnotify
 
-# Si vous avez installé nss et nspr, décommentez ces deux lignes:
+# Décommentez ceci si vous les avez installés
 # ac_add_options --with-system-nspr
 # ac_add_options --with-system-nss
 
-# Décommentez ceci si vous les avez installé :
 # ac_add_options --enable-system-sqlite
-# ac_add_options --enable-system-lcms
 # ac_add_options --with-system-libvpx
 # ac_add_options --enable-startup-notification
 
 mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/firefox-build-dir
 ac_add_options --enable-official-branding
-ac_add_options --enable-application=suite
+ac_add_options --prefix=/usr
 ac_add_options --enable-pthreads
 ac_add_options --enable-system-ffi
 ac_add_options --enable-system-jpeg
@@ -170,8 +168,7 @@
     <para>Compilez <application>SeaMonkey</application> en lançant la commande
     suivante :</para>
 
-<screen><userinput>make -f client.mk &&
-make -C moz-build-dir/suite/installer</userinput></screen>
+<screen><userinput>make -f client.mk</userinput></screen>
 
     <para>Ce paquet n'est pas fourni avec une suite de tests. Néanmoins, on peut
     le lancer à partir du répertoire de construction avant de l'installer avec
@@ -181,11 +178,9 @@
     <para>Installez <application>SeaMonkey</application> en lançant les
     commandes suivantes en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 
-<screen role="root"><userinput>mkdir -pv /usr/lib/seamonkey-&seamonkey-version; &&
-tar -xvf moz-build-dir/mozilla/dist/seamonkey*.tar.bz2 \
+<screen role="root"><userinput>make -C moz-build-dir install &&
 mkdir -pv /usr/lib/mozilla/plugins &&
 ln -svf ../mozilla/plugins /usr/lib/seamonkey-&seamonkey-version; &&
-ln -svf ../lib/seamonkey-&seamonkey-version;/seamonkey /usr/bin &&
 cp -v moz-build-dir/mozilla/dist/man/man1/seamonkey.1 /usr/share/man/man1</userinput></screen>
 
 
@@ -233,15 +228,9 @@
     fichier <filename>client.mk</filename> pour récupérer les paramètres de
     configuration de départ et régler les paramètres.</para>
 
-    <para><command>make -C moz-build-dir/suite/installer</command> : Cette commande construit le
-    fichier <filename class='extension'>.xpi</filename> de
-    <application>Enigmail</application> qu'on peut utiliser pour
-    installer <application>Enigmail</application>.</para>
+    <para><command>make -C moz-build-dir install</command> : Ceci lance
+    <command>make install</command> au lieu répertoire moz-build-dir.</para>
 
-    <para><command>install .../movemail.rdf ...</command> : Cette
-     commande crée une archive tar du <application>Seamonkey</application> que
-     vous venez de compiler.</para>
-
     <para><command>tar -xf moz-build-dir ...</command> : ceci déballe
     <application>Seamonkey</application>. <option>-C
     /usr/lib/seamonkey-2.5</option> dit à tar d'aller dans le répertoire <filename
@@ -345,4 +334,4 @@
   </sect2>
 
 </sect1>
-  
\ No newline at end of file
+  

Modified: trunk/blfs/xsoft/other/thunderbird.xml
===================================================================
--- trunk/blfs/xsoft/other/thunderbird.xml	2011-12-24 22:30:20 UTC (rev 1513)
+++ trunk/blfs/xsoft/other/thunderbird.xml	2011-12-26 10:34:57 UTC (rev 1514)
@@ -6,10 +6,10 @@
 
   <!ENTITY thunderbird-download-http     "http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.bz2">
   <!ENTITY thunderbird-download-ftp      "ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.bz2">
-  <!ENTITY thunderbird-md5sum            "be64630152a2d5a824a76752594e7596">
-  <!ENTITY thunderbird-size              "65 MB">
-  <!ENTITY thunderbird-buildsize         "915 MB">
-  <!ENTITY thunderbird-time              "21">
+  <!ENTITY thunderbird-md5sum            "a5904751dbd33074682b438b732fdbab">
+  <!ENTITY thunderbird-size              "91 MB">
+  <!ENTITY thunderbird-buildsize         "3 Gio (46 Mio installés)">
+  <!ENTITY thunderbird-time              "26 SBU">
 
 ]>
 
@@ -57,11 +57,20 @@
       </listitem>
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Téléchargements supplémentaires</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Correctif requis : <ulink
+        url="&patch-root;/thunderbird-&thunderbird-version;-libpng-1.5-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+
+
     <bridgehead renderas="sect3">Dépendances de Thunderbird</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="alsa-lib"/>, <xref linkend="gtk2"/>,
-    <xref linkend="libidl"/> et <xref linkend="zip"/></para>
+    <para role="required"><xref linkend="alsa-lib"/>, <xref linkend="gtk2"/>
+    <xref linkend="zip"/> and <xref linkend="unzip"/></para>
 
     <para>Remarque : <application>libjpeg</application> et <application>libpng</application> 
     (corrigé pour le support apng) devraient avoir été installés avant
@@ -72,7 +81,7 @@
     <filename>mozconfig</filename> créé ci dessous.</para>
 
     <bridgehead renderas="sect4">Supplémentaire</bridgehead>
-    <para role="optional"><xref linkend="dbus-glib"/>, <xref linkend="unzip"/>,
+    <para role="optional"><xref linkend="dbus-glib"/>,
     <xref linkend="doxygen"/>, <xref linkend="gnome-vfs"/> and
     <xref linkend="libgnomeui"/> (pour l'intégration de gnome),
     <xref linkend="libnotify"/>, <xref linkend="nss"/>, <xref linkend="nspr"/>,
@@ -98,7 +107,8 @@
     <command>./configure --help</command>. Créez le fichier en lançant la
     commande suivante :</para>
 
-<screen><?dbfo keep-together="auto"?><userinput>cat > mozconfig << "EOF"
+<screen><?dbfo keep-together="auto"?><userinput>patch -p1 < ../thunderbird-&thunderbird-version;-libpng-1.5-1.patch &&
+cat > mozconfig << "EOF"
 # Si vous avez une machine multicoeurs, vous pouvez accélérer la
 # construction en lançant plusieurs tâches en même temps, mais vous n'avez qu'un
 # coeur, effacez cette ligne :
@@ -116,13 +126,10 @@
 # Si vous avez installé libnotify effacez cette option :
 ac_add_options --disable-libnotify
 
-# Si vous avez installé nss et nspr, décommentez ces deux lignes:
+# Décommentez ceci si vous les avez installés :
 # ac_add_options --with-system-nspr
 # ac_add_options --with-system-nss
-
-# Décommentez ceci si vous les avez installé :
 # ac_add_options --enable-system-sqlite
-# ac_add_options --enable-system-lcms
 # ac_add_options --with-system-libvpx
 # ac_add_options --enable-startup-notification
 mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/thunderbuild
@@ -151,8 +158,8 @@
     <para>Installez <application>Thunderbird</application> en exécutant les commantes
     suivantes en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 
-<screen role="root"><userinput>tar xf thunderbuild/mozilla/dist/thunderbird-*.tar.bz2 -C /usr/lib &&
-ln -s ../lib/thunderbird/thunderbird /usr/bin/thunderbird</userinput></screen>
+<screen role="root"><userinput>tar xf thunderbuild/mozilla/dist/thunderbird-*.tar.bz2 -C /usr/lib/thunderbird-&thunderbird-version; --strip-components=1 &&
+ln -s ../lib/thunderbird-&thunderbird-version;/thunderbird /usr/bin/thunderbird</userinput></screen>
 
   </sect2>
 
@@ -167,10 +174,19 @@
     pour récupérer la configuration de départ et régler les paramètres.</para>
 
     <para><command>make -C thunderbuild/mail/installer</command> : Ceci lance
-    make dans le dossier <filename class='directory'>thunderbuild/mail/installer</filename>.
+    make dans le dossier <filename class="directory">thunderbuild/mail/installer</filename>.
     Ceci rassemble tous les composants de <application>Thunderbird</application>
     et les compresse dans une archive tar.</para>
 
+   <para><command>tar -xfv thunderbuild/mozilla/dist ...</command> : Ceci
+   déballe <application>Thunderbird</application>, l'option <option>-C</option>
+    décompresse les fichiers dans 
+    /usr/lib/thunderbird-&thunderbird-version;. L'option 
+    <option>--strip-components=1</option> supprime le répertoire
+    'thunderbird' demeurant dans les noms de fichiers, ce qui nous 
+    permet de le déballer dans un répertoire versionné.<!-- Running <command>make -C thunderbuild
+    install</command> would install an additional 480 MB of files--></para>
+
   </sect2>
 
   <sect2 role="configuration">
@@ -232,7 +248,7 @@
         des plugins, des extensions et des modules d'aide installés dans
         <filename class='directory'>/usr/lib/thunderbird-&thunderbird-version;</filename>
         </seg>
-        <seg>/usr/lib/thunderbird</seg>
+        <seg>/usr/lib/thunderbird-&thunderbird-version;</seg>
       </seglistitem>
     </segmentedlist>
 
@@ -256,4 +272,4 @@
   </sect2>
 
 </sect1>
-  
\ No newline at end of file
+  




More information about the lfs-traducfr mailing list